
Imports DevExpress.Xpo

Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class CustomersQualification
    Inherits BaseObject

    Dim _Customers As Customers
    Dim _Operations As Operations
    Dim _Price As Long
    Dim _Speed As Long
    Dim _Quality As Long
    Dim _Other1 As Long
    Dim _Other2 As Long
    Dim _Other3 As Long

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property Operations As Operations
        Get
            Return _Operations
        End Get
        Set(value As Operations)
            SetPropertyValue("Operations", _Operations, value)
        End Set
    End Property
    Property Price As Long
        Get
            Return _Price
        End Get
        Set(value As Long)
            SetPropertyValue("Price", _Price, value)
        End Set
    End Property
    Property Speed As Long
        Get
            Return _Speed
        End Get
        Set(value As Long)
            SetPropertyValue("Speed", _Speed, value)
        End Set
    End Property
    Property Quality As Long
        Get
            Return _Quality
        End Get
        Set(value As Long)
            SetPropertyValue("Quality", _Quality, value)
        End Set
    End Property
    Property Other1 As Long
        Get
            Return _Other1
        End Get
        Set(value As Long)
            SetPropertyValue("Other1", _Other1, value)
        End Set
    End Property
    Property Other2 As Long
        Get
            Return _Other2
        End Get
        Set(value As Long)
            SetPropertyValue("Other2", _Other2, value)
        End Set
    End Property
    Property Other3 As Long
        Get
            Return _Other3
        End Get
        Set(value As Long)
            SetPropertyValue("Other3", _Other3, value)
        End Set
    End Property
End Class
